"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DeviceEvent = void 0;
var DeviceEvent;
(function (DeviceEvent) {
    DeviceEvent["deviceAdded"] = "device added";
    DeviceEvent["deviceRemoved"] = "device removed";
    DeviceEvent["motionDetected"] = "motion detected";
    DeviceEvent["personDetected"] = "person detected";
    DeviceEvent["cryingDetected"] = "crying detected";
    DeviceEvent["soundDetected"] = "sound detected";
    DeviceEvent["petDetected"] = "pet detected";
    DeviceEvent["vehicleDetected"] = "vehicle detected";
    DeviceEvent["dogDetected"] = "dog detected";
    DeviceEvent["dogLickDetected"] = "dog lick detected";
    DeviceEvent["dogPoopDetected"] = "dog poop detected";
    DeviceEvent["strangerPersonDetected"] = "stranger person detected";
    DeviceEvent["rings"] = "rings";
    DeviceEvent["sensorOpen"] = "sensor open";
    DeviceEvent["gotRtspUrl"] = "got rtsp url";
    DeviceEvent["commandResult"] = "command result";
    DeviceEvent["propertyChanged"] = "property changed";
    DeviceEvent["livestreamStarted"] = "livestream started";
    DeviceEvent["livestreamStopped"] = "livestream stopped";
    DeviceEvent["livestreamVideoData"] = "livestream video data";
    DeviceEvent["livestreamAudioData"] = "livestream audio data";
    DeviceEvent["downloadStarted"] = "download started";
    DeviceEvent["downloadFinished"] = "download finished";
    DeviceEvent["downloadVideoData"] = "download video data";
    DeviceEvent["downloadAudioData"] = "download audio data";
    DeviceEvent["rtspLivestreamStarted"] = "rtsp livestream started";
    DeviceEvent["rtspLivestreamStopped"] = "rtsp livestream stopped";
    DeviceEvent["locked"] = "locked";
    DeviceEvent["packageDelivered"] = "package delivered";
    DeviceEvent["packageStranded"] = "package stranded";
    DeviceEvent["packageTaken"] = "package taken";
    DeviceEvent["someoneLoitering"] = "someone loitering";
    DeviceEvent["radarMotionDetected"] = "radar motion detected";
    DeviceEvent["alarm911"] = "alarm 911";
    DeviceEvent["shakeAlarm"] = "shake alarm";
    DeviceEvent["wrongTryProtectAlarm"] = "wrong try-protect alarm";
    DeviceEvent["LongTimeNotClose"] = "long time not close";
    DeviceEvent["lowBattery"] = "low battery";
    DeviceEvent["jammed"] = "jammed";
    DeviceEvent["talkbackStarted"] = "talkback started";
    DeviceEvent["talkbackStopped"] = "talkback stopped";
    DeviceEvent["userAdded"] = "user added";
    DeviceEvent["userDeleted"] = "user deleted";
    DeviceEvent["userError"] = "user error";
    DeviceEvent["userUsernameUpdated"] = "user username updated";
    DeviceEvent["userScheduleUpdated"] = "user schedule updated";
    DeviceEvent["userPasscodeUpdated"] = "user passcode updated";
    DeviceEvent["pinVerified"] = "pin verified";
})(DeviceEvent || (exports.DeviceEvent = DeviceEvent = {}));
//# sourceMappingURL=event.js.map